CVE-2005-0580
CVSS2.1
发布时间 :2005-02-25 00:00:00
修订时间 :2008-09-05 16:46:41
NMCO    

[原文]cmd5checkpw, when running setuid, does not properly drop privileges before calling the execvp function, which allows local users to read the poppasswd file.


[CNNVD]cmdcheckpw setuid操作密码泄露漏洞(CNNVD-200502-095)

        cmdcheckpw是一款服务于qmail的密码验证认证软件。
        cmd5checkpw在运行setuid时,未在调用execvp函数前除去特权,这可让本地用户读取密码文件。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:krzysztof_dabrowski:cmd5checkpw:0.21
cpe:/a:krzysztof_dabrowski:cmd5checkpw:0.20
cpe:/a:krzysztof_dabrowski:cmd5checkpw:0.22

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0580
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0580
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200502-095
(官方数据源) CNNVD

- 其它链接及资源

http://security.gentoo.org/glsa/glsa-200502-30.xml
(VENDOR_ADVISORY)  GENTOO  GLSA-200502-30

- 漏洞信息

cmdcheckpw setuid操作密码泄露漏洞
低危 未知
2005-02-25 00:00:00 2005-10-20 00:00:00
本地  
        cmdcheckpw是一款服务于qmail的密码验证认证软件。
        cmd5checkpw在运行setuid时,未在调用execvp函数前除去特权,这可让本地用户读取密码文件。

- 公告与补丁

        

- 漏洞信息

14241
cmd5checkpw /etc/poppasswd Local Disclosure

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-02-25 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站